import { NgModule }     from '@angular/core';
import { RouterModule } from '@angular/router';

import { SearchComponent } from './search.component';
import { SearchFormComponent } from './search-form/search-form.component';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'search',
        component: SearchComponent,
        children: [
          {
            path: ':id',
            component: SearchFormComponent,
          },
          {
            path: '',
            component: SearchFormComponent
          }
        ]
      }
    ])
  ],
  exports: [
    RouterModule
  ],
  providers: [
  ]
})
export class SearchRoutingModule {}
