import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { CommonModule }   from '@angular/common'; //IMPORTANT!

//import and then declare each component that is part of the "feature"
import { SearchComponent } from './search.component';
import { SearchFormComponent } from './search-form/search-form.component';

//import the associated routing module and list as import
import { SearchRoutingModule } from './search-routing.module';

@NgModule({
  declarations: [ 
    SearchComponent,
    SearchFormComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    CommonModule,
    SearchRoutingModule
  ],
  providers: []
})
export class SearchModule { }
